Update existing attribute
PATCH/attributes/:key
Updates existing attribute
Request
Path Parameters
key stringrequired
Key Identifier
Query Parameters
siteId string
Site Identifier
- application/json
Body
required
attribute
object
required
type AttributeType (string)
Type of Attribute
Possible values: [STANDARD, OPA, GOVERNANCE]
Default value:
STANDARDvalidationRegex string
Attribute Value Regex Validation
watermark
object
fontSize number
Watermark Font Size
text string
Watermark text
rotation number
Watermark Rotation
imageDocumentId string
Watermark Image Document Id
scale WatermarkScale (string)
Watermark Scale
Possible values: [FIT_BEST, ORIGINAL]
position
object
xAnchor WatermarkPositionXAnchor (string)
Watermark X Position Anchor
Possible values: [LEFT, RIGHT, CENTER]
yAnchor WatermarkPositionYAnchor (string)
Watermark Y Position Anchor
Possible values: [TOP, BOTTOM, CENTER]
xOffset number
X offset
yOffset number
Y offset
Responses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
message string
Result message
{
"message": "string"
}
400 OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
key string
Error Key
error string
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}
Loading...